 // Created By Leonard •-• hi what are you doing here
 import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
 import { system } from "@minecraft/server"
 import {
     score, msg, scoresId,
     sound, display, bug,
     tag
 } from "./main"

 function upgrades(player){
     const maxUpgrades = [, 2980, , 150, 50]
     const health = player.getComponent("minecraft:health")
     const stats = {
         damage: score(player, "damage").get / 2 + 1,
         health: score(player, "health").get + 20,
         defense: score(player, "defense").get / 2,
         critical_chance: score(player, "critical_chance").get / 5,
         speed: score(player, "speed").get * 3 + 100
     }
     const level = score(player, "level").get
     const statsPoint = score(player, "stats_point")
     const form = new ActionFormData()
         .title("§d§lUPGRADES§r§l & §eSTATS")
         .body(`                   §l§ePlayer Stats\n\n§dLevel §f|| §dPoints §f> §a${ player.level == level ? level : player.level + " §d→§a " + level } §f|| §a${ statsPoint.get }\n§cDamage §f> §p${ stats.damage }\n§2Health §f> §p${ stats.health >= 3000 ? "§aMax§a[§p"+ stats.health +"§a]": stats.health + " §d→ §p3000"} \n§8Defense §f> §p${ stats.defense }\n§6Critical Chance §f> §p${ stats.critical_chance >= 30 ? "§aMax§a[§p" + stats.critical_chance + "‰§a]" : stats.critical_chance + "‰ §d→ §p30‰"}\n§fSpeed > §p${ stats.speed >= 250 ? "§aMax§a[§p" + stats.speed + "§a]" : stats.speed + " §d→ §p250" } \n `)
         .button("§•§o§c§l   Damage\n§a+0.5", "textures/gui/newgui/mob_effects/strength_effect")
         .button("§•§o§2§l   Health\n§a+1", "textures/gui/newgui/mob_effects/regeneration_effect")
         .button("§•§o§l   Defense\n§a+0.5", "textures/gui/newgui/mob_effects/resistance_effect")
         .button("§•§o§6§l   Critical chance\n§a+0.2‰", "textures/ui/strength_effect")
         .button("§•§o§f§l   Speed\n§a+3", "textures/ui/speed_effect")

     form.show(player).then(({ selection })=>{
         if (selection == 1) health.setCurrentValue(health.effectiveMax - 5)
         if (selection <= 0 || selection) {
             if (score(player, scoresId[selection]).get >= maxUpgrades[selection]) {
                 msg(player, "§o§•§l§aAll ready at max level")
                 sound("random.levelup", player, 9)
             } else if (statsPoint.get >= 1) {
                 score(player, scoresId[selection]).add(1)
                 statsPoint.add(-1)
                 sound("beacon.power", player, 2)
             } else {
                 sound("note.bass", player, 4)
                 msg(player, "§l§a•§c Not enough §bpoints §a•")
             }
         }
     })
 }

 function settings(player){
     let bool = true
     const health_Display = score(player, "Settings Health_Display")
     const openedUi = tag(player, "IsOpenedUi")
     const form = new ModalFormData()
         .title("§lSettings")
         .dropdown("§lHealth Display", ["None", "Percentage", "Values"], health_Display.get)
         .submitButton("§lSave")
     system.runInterval(()=>{
         if (bool) {
             form.show(player).then(({ formValues })=> {
                 try {
                     openedUi.remove()
                     health_Display.set(formValues[0])
                     display(player)
                     bool = false
                 } catch (err) {
                     bool = true
                     openedUi.add()
                 }
             })
         }
     }, 10)
 }
 
 export { upgrades, settings }