// Created By Leonard •-• hi what are you doing here
import { world, system } from "@minecraft/server"
import { upgrades, settings } from "./UI"

var repeat = 0
var players = []
const after = world.afterEvents
const scoresId = [
    "damage", "health", "defense",
    "critical_chance", "speed", "stats_point",
    "level", "Health", "effectDuration",
    "Absorption", "Settings Health_Display"
]
const isType =(entity,id)=> entity.typeId == id
const sound =(id, entity, pitch)=> entity.playSound(id, { pitch })
const msg =(entity, txt)=> entity.sendMessage(txt)
const cmd =(entity, commands)=> commands.forEach(cmds => entity.runCommand(cmds))
const score =(entity, id)=>{
    const scoreboard = world.scoreboard.getObjective(id)
    const health = entity?.getComponent("minecraft:health")
    const value =()=> health && entity && scoreboard.hasParticipant(entity) ? scoreboard.getScore(entity) : 0
    return {
        get: value(),
        set: function(num)=>{if (health) scoreboard.setScore(entity, num); this.get = value()},
        add: function(num)=>{if (health) scoreboard.addScore(entity, num); this.get = value()}
    }
}
const tag =(entity, id)=> {
    return{
    	add: ()=> entity.addTag(id),
        remove: ()=> entity.removeTag(id),
        get: entity.hasTag(id)
    }
}
const display =(player)=> {
	const title =(txt)=> cmd(player, [`Title @s Title §€§¥§™§®§✓§L§•§l${ txt }`])
    const currentHp = score(player, "Health").get
    const maxHp = score(player, "health").get + 20 + player.getComponent("minecraft:health").effectiveMax - 3000
    const health = Math.floor(100 / maxHp * currentHp)
    const displayType = score(player, "Settings Health_Display").get
    let display = ""
    title(`HEALTH$${ health }`)
    if (displayType == 0) display = ""
    if (displayType == 1) display = health + "%"
    if (displayType == 2) display = maxHp + "/" + currentHp
    system.runTimeout(()=> title(`HP$§o§l§a%${  display }`),1)
    system.runTimeout(()=> title(`ABSORPTION§l§e${ player.getGameMode() == "creative" ? 0 : score(player,"Absorption").get }`),2)
}

function bug(bugs) {
    for (var b in bugs) {
        console.warn(b)
    }
    console.warn(bugs)
}

scoresId.forEach(ev=>{
    const score = world.scoreboard
    if (!score.getObjective(ev)) score.addObjective(ev)
})

after.playerSpawn.subscribe(({ player, initialSpawn })=>{
	const firstSpawn = tag(player, "FirstSpawn")
    display(player)
    player.triggerEvent("health")
    players.forEach(entity => { if (player.id === entity.id) player.addExperience(entity.lastXp) })
    players = players.filter(entity => entity.id !== player.id)
    if (!initialSpawn || !firstSpawn.get) score(player, "Health").set(score(player, "health").get + 20)
    if(initialSpawn){
    	if(!firstSpawn.get){
        score(player, "Settings Health_Display").set(2)
        firstSpawn.add("FirstSpawn")
            }
    system.runInterval(()=>{
        const level = score(player, "level")
        const speed = (score(player, "speed").get * 3 + 100) / 1000 + (player.getEffect("speed") ? player.getEffect("speed").amplifier / 50 : 0)
        const health = Math.floor(100 / (score(player, "health").get + 20 + player.getComponent("minecraft:health").effectiveMax - 3000) * score(player, "Health").get)
        player.getComponent("minecraft:movement").setCurrentValue(player.isSprinting ? speed + 0.03 : speed)
        if (initialSpawn) display(player)
        if(!player.getEffect("absorption")) score(player,"Absorption").set(0)
        if (player.level > level.get) {
            level.add(1)
            score(player, "stats_point").add(1)
            }
        })
    }
})

after.entitySpawn.subscribe(({ entity, cause })=>{
    const { x, z } = entity ? entity.location : 0
    const level = Math.round(Math.random() * 5) + Math.floor(Math.sqrt(x ** 2 + z ** 2) / 100 * 5)
    const statLevel = Math.round(level / 2)
    const health = entity.getComponent("minecraft:health")
    const speed = entity.getComponent("minecraft:movement")
    const setStat = (id, max) => score(entity, id).set(statLevel >= max ? max : statLevel)
    const isVillager = isType(entity,"minecraft:villager_v2")
    const name = `§€§¥§™§®§✓§L§•§l§6LEVEL §a${ level }§r`
    if (isType(entity,"minecraft:iron_golem")) {
        cmd(entity,
            [
                `Execute At @s If Entity @e [Type=minecraft:villager_v2,Tag=!Spawn,R=200] Run Summon bett_lvl_mech:guild_steward ~ ~ ~ ~ ~ "" ${' " ' + name + ' " '}`,
                "Execute As @s Run Tag @e [R=200,Type=minecraft:villager_v2] Add Spawn"
            ]
        )
    }
    if (isVillager) cmd(entity, ["Execute At @s If Entity @e [Type=minecraft:villager_v2,Tag=Spawn,R=200] Run Tag @s Add Spawn"])
    if (isVillager && cause == "Transformed") tag(entity, "Spawn").add()
    if (health && !isType(entity,"minecraft:npc") && !isVillager && !isType(entity,"minecraft:armor_stand")) {
        score(entity, "level").set(level)
        setStat("defense")
        setStat("damage")
        setStat("health", 6000)
        setStat("critical_chance", 300)
        speed.setCurrentValue(((statLevel <= 100 ? statLevel : 100) * 3 / 1000) + speed.defaultValue)
        cmd(entity, ["Effect @s Health_Boost Infinite 255 true"])
        health.setCurrentValue(9999)
        score(entity, "Health").set(score(entity, "health").get + health.defaultValue)
        entity.nameTag = name
    }
})

after.chatSend.subscribe(({ message, sender})=>{
    const find = (str) => message.toLowerCase() == "!" + str
    if (find("settings") && !tag(sender,"IsOpenedUi").get) settings(sender) 
})

after.playerGameModeChange.subscribe(({ player })=>{ display(player) })

after.entityHurt.subscribe(({ damageSource, hurtEntity, damage })=>{
    const source = damageSource.damagingEntity
    const absorption = score(hurtEntity, "Absorption")
    const health = score(hurtEntity, "Health")
    const isTnt = source?.typeId !== "minecraft:tnt"
    const damages = hurtEntity.getComponent("minecraft:health") && source ? score(source, "damage").get : 0
    const causes = source && source.isValid() ? { cause: "contact", damagingEntity: damageSource.damagingEntity } : { cause: damageSource.cause }
    const critChance = Math.random() * 100 <= score(source, "critical_chance").get / 5 ? 2 : 1
    const allDamage = (Math.round(-damage - damages / 2) + score(hurtEntity, "defense").get / 2) * critChance
    const value = allDamage <= 0 ? allDamage : 0
    const lastName = source && isTnt ? source.nameTag : 0
    const value1 = value + absorption.get
    if (absorption.get > 0) absorption.add(value)
    if (absorption.get <= 0) absorption.set(0), health.add(value1 <= 0 ? value1 : 0)
    if (health.get <= 0 && hurtEntity.typeId !== "minecraft:villager_v2") {
        if (source && isTnt) {
            hurtEntity.nameTag = hurtEntity.nameTag.indexOf("§€§¥§™§®§✓§L§•§l§6LEVEL") == 0 ? "" : hurtEntity.nameTag
            source.nameTag = source.nameTag.indexOf("§€§¥§™§®§✓§L§•§l§6LEVEL") == 0 ? "" : source.nameTag
        }
        hurtEntity.getComponent("minecraft:health").setCurrentValue(0.1)
        hurtEntity.applyDamage(9999, causes)
        health.set(0)
        if (source && isTnt) source.nameTag = lastName
    }
})

after.entityHealthChanged.subscribe(({ entity, oldValue, newValue })=>{
    const addHp = Math.round(newValue - oldValue)
    const health = entity.getComponent("minecraft:health")
    const playerMaxHp = score(entity, "health").get + 20 + health.effectiveMax - 3000
    const entityMaxHp = health.defaultValue + score(entity, "health").get
    const currentHealth = score(entity, "Health")
    const hp = currentHealth.get
    const setHp =(value)=> currentHealth.set(value)
    const isPlayer = isType(entity,"minecraft:player")
    const factory =(max)=> {
        currentHealth.add(addHp >= 0 ? addHp : 0)
        health.setCurrentValue(health.effectiveMax - 10)
        if (currentHealth.get >= max) setHp(max), health.setCurrentValue(health.effectiveMax)
    }
    if(isPlayer) display(entity)
    if (repeat++ == 1) {
        if (hp < entityMaxHp && !isPlayer) factory(entityMaxHp)
        else if (hp < playerMaxHp) factory(playerMaxHp)
        if (repeat == 2) repeat = 0
    }
})

after.itemUse.subscribe(({ source, itemStack })=>{
    const statsUnlock = tag(source, "statusUnlocked")
    const level = score(source, "level")
    if (itemStack.typeId == "bett_lvl_mech:status_card") {
        if (level.get >= 10 && !statsUnlock.get) {
            statsUnlock.add()
            level.add(-10)
            score(source, "stats_point").add(-10)
            source.addLevels(-10)
            msg(source, "§o§l§k§d...§r§o§l§aStats Unlocked Hold Again To Activate§k§d...§r")
        } else if (!statsUnlock.get) msg(source, "§o§l§a• §dYou Need To Reach §aLevel 10 §dTo Unlock This Item§r")
        else sound("beacon.activate", source, 2), upgrades(source)
    }
})

after.itemCompleteUse.subscribe(({ source, itemStack })=>{
    const effect = source.getEffect("absorption")
    const duration = score(source, "effectDuration")
    if (itemStack.typeId == "minecraft:golden_apple") source.addEffect("absorption", 2400, { amplifier: effect.amplifier })
    if (duration.get <= effect?.duration) {
        duration.set(effect.duration)
        const customAbsorption = score(source, "Absorption")
        const absorption = (effect.amplifier + 1) * 4
        if (customAbsorption.get + absorption < 100) {
            customAbsorption.add(absorption)
        } else {
            customAbsorption.set(100)
        }
    }
})

after.entityDie.subscribe(({ deadEntity, damageSource })=>{
    const source = damageSource.damagingEntity
    if (source && source.typeId == "minecraft:player") source.addExperience(score(deadEntity, "level").get * 4)
    if (deadEntity.typeId == "minecraft:player") {
        players.push({
            lastXp: deadEntity.getTotalXp(),
            id: deadEntity.id
        })
        deadEntity.resetLevel()
    }
})

export { 
    score, msg, scoresId,
    sound, display, bug,
    tag
}